services:
  corehmi:
    container_name: recap-corehmi
    image: 172.17.0.1:5000/recap-corehmi@sha256:35c1d90c2230912c1e7e1c518a52c4c8894f26ddb852e49740092cc5d5c061d2
    network_mode: host
    restart: always
    volumes:
    - recap-data:/data
  kiosk:
    command: --kiosk --no-first-run --disable-pinch --force-device-scale-factor=1
      file:///panel/index.html
    depends_on:
    - weston
    device_cgroup_rules:
    - c 199:* rmw
    - c 226:* rmw
    image: torizon/chromium-imx8@sha256:0ce38cfa1d194bffe3668c252f230a78c8c8e23b884575d1890c78e1bf5dc746
    network_mode: host
    restart: always
    security_opt:
    - seccomp:unconfined
    shm_size: 256mb
    volumes:
    - /tmp:/tmp
    - /var/run/dbus:/var/run/dbus
    - /dev/dri:/dev/dri
    - /dev/galcore:/dev/galcore
    - /usr/share/mosebach/panel:/panel:ro
  product:
    command:
    - python3
    - /app/product.py
    container_name: product
    devices:
    - /dev/ttymxc0:/dev/ttymxc0
    environment:
      NETSTACK_LEGACY_MODEL: PROD-GLS-TEST
      NETSTACK_LEGACY_SERIAL: 08919766
      NETSTACK_METER_DEV: /dev/ttymxc0
      NETSTACK_UNIT_MAC: 8c:1f:64:4e:7d:ac
      NETSTACK_UNIT_NAME: mosebach7DAC
    image: 172.17.0.1:5000/netstack-netstack@sha256:646a2c4db42379590da37723b9a16b28d8c90beb2f4d794c59519d2f2976b1b7
    network_mode: host
    restart: unless-stopped
    volumes:
    - /usr/share/mosebach/product.py:/app/product.py:ro
    - /home/torizon/netstack/firmware:/firmware
  weston:
    cap_add:
    - CAP_SYS_TTY_CONFIG
    device_cgroup_rules:
    - c 4:* rmw
    - c 13:* rmw
    - c 199:* rmw
    - c 226:* rmw
    environment:
    - ACCEPT_FSL_EULA=1
    image: torizon/weston-imx8@sha256:d78462b384a6b506609dffa2f0ea52cd9421015cb0f8de75a436df1a854567f9
    network_mode: host
    restart: always
    volumes:
    - /tmp:/tmp
    - /dev:/dev
    - /run/udev/:/run/udev/
    - /var/mosebach/weston:/etc/xdg/weston
volumes:
  recap-data: null
